{# Templates/Help/help_general.html.twig #}

{% extends 'Help/baseHelp.html.twig' %}

{% trans_default_domain 'Help' %}

{% block helpPicture %}
    <img class="screen" src="{{ asset('img/loc/fr/generals.jpg') }}">
{% endblock %}

{% block helpHeader %}
    {{ 'navigation.general' | trans }}
{% endblock %}

{% block helpContent %}
    <div class="content">
        <p>
            Avant de pouvoir agrandir votre Royaume, vous devez au préalable
            recruter un général. Pour cela il vous faudra construire le bâtiment
            <b>Quartier Général</b>. Une fois votre Quartier Général construit,
            vous devez payer un peu d'or pour recruter un général, auquel vous
            donnez ensuite le nom de votre choix.
        </p>
        <p>
            Avant de pouvoir déplacer votre général, vous devez lui <b>transférer</b>
            des unités. Cela consiste à déplacer des soldats depuis la défense de
            votre ville vers les troupes de votre général.
        </p>
        <p>
            Une fois les unités transférées, vous pouvez déplacer votre général
            à partir de la <b>Carte</b>. Il faudra un certain temps pour que votre
            général atteigne sa destination, mais il pourra faire demi-tour à tout
            moment si vous changez d'avis.
        </p>
        <p>
            Une fois atteint un lieu qui ne fait pas partie de votre <b>Royaume</b>,
            vous pouvez attaquer ce lieu. Dans le cas où il est défendu, une
            <b>bataille</b> se déclenchera.
        </p>
        <p>
            <span class="i">Astuce</span> :
            vous pouvez contrôler un général par niveau de votre Quartier Général.
            Par exemple en l'améliorant au niveau 3 vous pourrez contrôler jusqu'à
            trois généraux simultanément.
        </p>
        <p>
            Lors de ses combats, votre général verra sa
            <strong>Réputation</strong> <img src="{{ asset('img/icons/l_rep.png') }}">
            augmenter. La réputation d'un général correspond au nombre d'unités qui le
            suivent sans demander de salaire. Ainsi, un général avec 20 unités et une
            réputation de
            <strong>8</strong> <img src="{{ asset('img/icons/l_rep.png') }}">
            vous coûtera
            <strong>12</strong> <img src="{{ asset('img/icons/small/res_gold.gif') }}">
            par tour de production.
        </p>
        <p>
            <span class="i">Attention</span> :
            conquérir de nombreux lieux sans y laisser d'unités et prendre le temps
            d'y stabiliser le <a href="{{ path('app_help_trade') }}">commerce</a> peut
            vous conduire rapidement à la faillite.
        </p>
    </div>
{% endblock %}

{% block helpNavigation %}
    {% set vars = {
        'previousLink': path('app_help_soldiers'),
        'previousText': 'navigation.soldiers' | trans,
        'nextLink': path('app_help_battle'),
        'nextText': 'navigation.battle' | trans
    } %}
    {% include 'Help/helpNavbar.html.twig' with vars %}
{% endblock %}